## hyphen-bn 0.5.5

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-bn/


dict_files = hyph_bn_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-bn
version = 0.5.5

distdir=hyphen-bn_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-bn 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Hyphenation Makefile
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -20,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-bn/
+docdir = /usr/share/doc/hyphen-bn/
 
 
 dict_files = hyph_bn_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-bn
-version = 0.5.5
+version = 0.7.0
 
-distdir=hyphen-bn_${version}
+distdir=hyphen-bn-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -42,9 +42,7 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts 
-	
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
 	
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}

=== debian/changelog ===
hyphen-bn (0.7.0-2) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Renamed /usr/share/myspell/infos/ooo/openoffice.org-hyphenation-bn to
      /usr/share/myspell/infos/ooo/hyphen-bn
  * debian/copyright:
    + Updated to copyright-format 1.0
  * debian/control:
    + Updated Standards-Version to 3.9.3

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Mar 2012 11:55:44 +0530

hyphen-bn (0.7.0-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream version:
    + Fix FTBFS (Closes: #652761)
  * Renamed source package to: hyphen-bn

  [Muneeb Shaikh]
  * debian/control
    + Removed openoffice.org-updatedicts, it does not depend on it now
    + Added Libre/Open Office to Recommends

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 20 Dec 2011 21:29:04 +0530

hyphenation-bn (0.6.0-4) unstable; urgency=low

  [Kartik Mistry]
  * debian/copyright:
    + Corrected license text to LGPL-3
    + Fixed Makefile copyright owners

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 23 Aug 2011 10:59:51 +0530

hyphenation-bn (0.6.0-3) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Arch: all now. We don't have any ELF binaries in package.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Mon, 22 Aug 2011 13:55:45 +0530

hyphenation-bn (0.6.0-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/copyright:
    + Format now points to: http://dep.debian.net/deps/dep5/
    + Removed duplicate lines
  * debian/control:
    + Updated-Standards-Version to 3.9.2

  [Shravan Aras]
  * debian/watch:
    + Changed the watch file to point to the new upstream download section

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Fri, 03 Jun 2011 09:38:47 +0530

hyphenation-bn (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #542432)
  * Made Debina-IN as maintainer and Sana as uploader.
  * Added Vcs-* fields.

 -- Sana Khan <sanakhan2011@gmail.com>  Wed, 20 Apr 2011 20:00:41 +0530

=== debian/control ===
Source: hyphen-bn
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Sana Khan <sanakhan2011@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.3
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-bn.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-bn.git;a=summary

Package: hyphen-bn
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Bengali hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process inserting hyphens in between the syllables of a
 word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Bengali language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-bn/usr/share/doc/hyphen-bn/ChangeLog
	mv debian/hyphen-bn/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-bn \
	   debian/hyphen-bn/usr/share/myspell/infos/ooo/hyphen-bn

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-bn-(.*)\.tar\.bz2 debian uupdate
